Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Class MouseOutEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.google.gwt.event.dom.client.DomEvent<H>
                  com.google.gwt.event.dom.client.HumanInputEvent<H>
                      com.google.gwt.event.dom.client.MouseEvent<MouseOutHandler>
                          com.google.gwt.event.dom.client.MouseOutEvent

All Implemented Interfaces:
  HasNativeEvent

    public class MouseOutEvent

extends MouseEvent<MouseOutHandler>

Represents a native mouse out event.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent
`DomEvent.Type<H extends EventHandler>`

Constructor Summary
`protected` | `MouseOutEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire mouse out events.

Method Summary
`protected void` | `dispatch(MouseOutHandler handler)` Should only be called by `HandlerManager`.
`DomEvent.Type<MouseOutHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`EventTarget` | `getRelatedTarget()` Gets the target to which the mouse pointer was moved.
`static DomEvent.Type<MouseOutHandler>` | `getType()` Gets the event type associated with mouse out events.

Methods inherited from class com.google.gwt.event.dom.client.MouseEvent
`getClientX, getClientY, getNativeButton, getRelativeX, getRelativeY, getScreenX, getScreenY, getX, getY`

Methods inherited from class com.google.gwt.event.dom.client.HumanInputEvent
`isAltKeyDown, isControlKeyDown, isMetaKeyDown, isShiftKeyDown`

Methods inherited from class com.google.gwt.event.dom.client.DomEvent
`fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MouseOutEvent

    protected MouseOutEvent()

  Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire mouse out events.

Method Detail

### getType

    public static DomEvent.Type<MouseOutHandler> getType()

  Gets the event type associated with mouse out events.

  Returns:
    the handler type

### getAssociatedType

    public final DomEvent.Type<MouseOutHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `DomEvent<MouseOutHandler>`
  Returns:
    the type

### getRelatedTarget

    public EventTarget getRelatedTarget()

  Gets the target to which the mouse pointer was moved.

  Returns:
    the target to which the mouse pointer was moved

### dispatch

    protected void dispatch(MouseOutHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<MouseOutHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD